[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Rdo-list] packstack installation failure with missing packages



Hi,

I just tried reproducing the issue but have not been able to.

I have done "packstack --allinone" successfully with:
- yum -y install centos-openstack-release-mitaka [1]
- yum -y install https://www.rdoproject.org/repos/rdo-release.rpm [2]

Both of these installations were done from fresh CentOS 7.2 installations.

If you're still experiencing issues, could you please provide the
exact commands you used so that we can reproduce the problem ?

Thanks.

[1]: http://paste.fedoraproject.org/359638/raw/
[2]: http://paste.fedoraproject.org/359640/raw/

David Moreau Simard
Senior Software Engineer | Openstack RDO

dmsimard = [irc, github, twitter]


On Mon, Apr 25, 2016 at 5:00 AM, Genadi Chereshnya <gcheresh redhat com> wrote:
> When removing the trunk.rdoproject repo I don't have mitka package at all.
> Adding the repo from
> http://mirror.centos.org/centos/7/cloud/x86_64/openstack-mitaka/ I get the
> same errors I had before:
>
> Requires: centos-release-qemu-ev and Requires: centos-release-ceph
>
> Genadi
>
> On Sun, Apr 24, 2016 at 11:09 PM, David Moreau Simard <dms redhat com>
> wrote:
>>
>> centos-release-openstack-mitaka is the stable OpenStack Mitaka release.
>>
>> The repositories you're downloading from trunk.rdoproject.org are trunk
>> repositories for Newton.
>>
>> You shouldn't be mixing these: centos-release-openstack-mitaka is the only
>> one you need.
>>
>> tl;dr
>> yum -y install centos-release-openstack-mitaka yum-plugin-priorities
>> yum -y install openstack-packstack
>> packstack --allinone
>>
>> David Moreau Simard
>> Senior Software Engineer | Openstack RDO
>>
>> dmsimard = [irc, github, twitter]
>>
>> On Apr 24, 2016 9:53 AM, "Genadi Chereshnya" <gcheresh redhat com> wrote:
>>>
>>> When trying to install packstack  (for testing OVS-security group
>>> feature) I failed on missing packages errors.
>>> I did as follow:
>>> 1) Installed CentOS with foreman
>>> 2) Updated it with 4.5 kernel
>>> 3) yum -y install yum-plugin-priorities
>>> 4) curl -O http://trunk.rdoproject.org/centos7/delorean-deps.repo
>>> 5) curl -O
>>> http://trunk.rdoproject.org/centos7/current-passed-ci/delorean.repo
>>> 6) sudo yum install -y centos-release-openstack-mitaka
>>>
>>> I failed on :
>>> Error: Package: centos-release-openstack-mitaka-1-3.el7.noarch
>>> (delorean-mitaka-testing)
>>>            Requires: centos-release-qemu-ev
>>> Error: Package: centos-release-openstack-mitaka-1-3.el7.noarch
>>> (delorean-mitaka-testing)
>>>            Requires: centos-release-ceph
>>>
>>> After overcoming this problems with rpm installation I still fail on:
>>>
>>> ERROR : Error appeared during Puppet run: 10.35.160.39_mariadb.pp
>>> Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install
>>> mariadb-galera-server' returned 1: Package mariadb-galera-server is
>>> obsoleted by mariadb-server-galera, trying to install
>>> 1:mariadb-server-galera-10.1.12-4.el7.x86_64 instead
>>>
>>> It looks like some repos are missing.
>>> Any advice would be appreciated
>>>
>>> Thanks,
>>>    Genadi
>>>
>>> _______________________________________________
>>> Rdo-list mailing list
>>> Rdo-list redhat com
>>> https://www.redhat.com/mailman/listinfo/rdo-list
>>>
>>> To unsubscribe: rdo-list-unsubscribe redhat com
>
>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]